## python-pycontracts-1.8.14-4.src.tar.gz

=== Makefile ===
package=contracts
include pypackage.mk

bump-upload:
	bumpversion patch
	git push --tags
	git push --all
	rm -f dist/*
	rm -rf src/*.egg-info
	python setup.py sdist
	twine upload dist/*

name=contracts-python3

test-python3:
	docker stop $(name) || true
	docker rm $(name) || true

	docker run -it -v "$(shell realpath $(PWD)):/contracts" -w /contracts --name $(name) python:3 /bin/bash

test-python3-install:
	pip install -r requirements.txt
	pip install nose
	python setup.py develop --no-deps

=== docs/Makefile ===
github_repo=git@github.com:AndreaCensi/contracts.git

include docs.mk

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-pycontracts
pkgver=1.8.14
pkgrel=4
pkgdesc='Declare constraints on function parameters and return values'
arch=('any')
url="https://andreacensi.github.io/contracts"
license=('GPL')
depends=('python-pyparsing' 'python-decorator' 'python-six' 'python-future')
makedepends=('python-setuptools' 'python-pyparsing'
             'python-decorator' 'python-six' 'python-future')
checkdepends=('python-nose')
source=(${pkgname}-${pkgver}.tar.gz::https://github.com/AndreaCensi/contracts/archive/v${pkgver}.tar.gz)
sha512sums=('ae2a96f603d5b87efd83eb9bb84bf0ebec2d71b08cfed9505be22f15c310f6428652e40c69075577eaee343a0babf6fce7db06c4ad3605a88646d9242dfd1003')

build() {
  cd contracts-$pkgver
  python setup.py build
}

check() {
  cd contracts-$pkgver
  python setup.py nosetests
}

package_python-pycontracts() {
  cd contracts-$pkgver
  python setup.py install --root="$pkgdir" --optimize=1
}
